# TclParameter username  anonymous    Username
# TclParameter password  smartshooter Password
# TclParameter host      host         Hostname of FTP server
# TclParameter port      21           Port number of FTP server
# TclParameter dir       ""           Remote directory to upload photo

# The last photo index is always stored in argv
SmartShooter SetActivePhoto $argv

# Ensure it has been downloaded
SmartShooter Download

# Retrieve the filename of the photo
set filename [SmartShooter GetPhotoName]

# Print a message to the Smart Shooter log
puts "FTP: uploading $filename"

if { $tcl_platform(platform) == "windows" } {

	# Build the list of FTP commands
	set commandfile [file join $env(TMP) "smartshooter_ftp.txt"]
	puts $commandfile
	set fp [open $commandfile "w"]
	puts $fp "open $host $port"
	puts $fp "$username"
	puts $fp "$password"
	puts $fp "binary"
	if { $dir != "" } {
		puts $fp "cd $dir"
	}
	puts $fp "put \"$filename\""
	puts $fp "close"
	close $fp

	# Now execute the FTP command
	# If it fails, then Windows Firewall may have blocked it
	catch { exec ftp -s:$commandfile } result
	puts $result

} else {

	# Execute the FTP command
	# Much simpler on the Mac!
	set cwd [pwd]
	cd "[file dirname $filename]"
	catch {exec ftp -u ftp://${username}:${password}@${host}:${port}/${dir} [file tail $filename]} result
    puts $result
	cd $cwd
}
