# Name: example_bulb.tcl
#
# This script takes a series of photos, each using a bulb
# exposure of a specified time.
# There is also an optional time delay between each photo.
#
# THIS SCRIPT REQUIRES THE CAMERA TO BE IN BULB SHOOTING MODE


# TclParameter exposureTime 120 Bulb exposure time (seconds)
# TclParameter numPhotos    10  Number of photos
# TclParameter delay        0   Delay between photos (seconds)


# Declare a function that we can use to safely
# delay for a specific number of seconds
proc Wait { seconds } {
    set current [clock seconds]
    set target [clock add $current $seconds seconds]
    while { $current < $target } {
        after 1000
        set current [clock seconds]
        SmartShooter CheckStatus
    }
}

# Start the loop for taking photos
set i 0
while { $i < $numPhotos } {

    incr i
    puts "Taking photo $i with $exposureTime second exposure time"

    SmartShooter Set ShutterSpeed Bulb

    SmartShooter BulbExposure $exposureTime

    if { $i < $numPhotos } {
        Wait $delay
    }
}
